Subject: Re: bug#58486: [PATCH] Prevent .dir-locals.el from being byte-compiled

From: Stefan Kangas <[email-masked]>
Date: Thu, 13 Oct 2022 16:20:03 +0200

Philip Kaludercic <[email-masked]> writes:

> When selecting a number of .el files in Dired and byte-compiling them
> I'll usually also select a .dir-locals.el file that won't compile.
> Would annotating them as non-byte-compilable files be sensible?

Makes sense to me, FWIW.  Though Stefan M might point out that these
files should actually be called ".dir-locals.eld".  Which, BTW, we
should probably add support for.  And "*.eld" files should never be
compiled, I think?

(Don't forget to add the cookie to our .dir-locals.el as well.)